Bug 928771 - gnome-abrt calls gtk functions from unix signal handler
Summary: gnome-abrt calls gtk functions from unix signal handler
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-abrt
Version: 17
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Filak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:490dd69541b5c554ccfd9951adc...
Keywords:
Depends On: 927434
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-28 12:17 UTC by Jakub Filak
Modified: 2016-12-01 00:43 UTC (History)
4 users (show)

(edit)
Clone Of: 927434
(edit)
Last Closed: 2013-04-10 01:31:50 UTC


Attachments (Terms of Use)

Description Jakub Filak 2013-03-28 12:17:09 UTC
+++ This bug was initially created as a clone of Bug #927434 +++

Version-Release number of selected component:
gnome-abrt-0.2.9-1.fc18

Additional info:
cmdline:        python /usr/bin/gnome-abrt
dso_list:       pygobject3-base-3.4.2-6.fc18.i686
executable:     /usr/bin/gnome-abrt
kernel:         3.8.4-202.fc18.i686
uid:            1000
ureports_counter: 1

Truncated backtrace:
views.py:255:_reload_problems:AttributeError: 'NoneType' object has no attribute 'get_iter_first'

Traceback (most recent call last):
  File "/usr/bin/gnome-abrt", line 243, in <module>
    exit_code = app.run(app_cmdline)
  File "/usr/lib/python2.7/site-packages/gi/types.py", line 47, in function
    return info.invoke(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/gnome_abrt/controller.py", line 61, in <lambda>
    signal.signal(signal.SIGCHLD, lambda signum, frame: self._handle_signal(signum))
  File "/usr/lib/python2.7/site-packages/gnome_abrt/controller.py", line 37, in _handle_signal
    self.source.refresh()
  File "/usr/lib/python2.7/site-packages/gnome_abrt/problems.py", line 266, in refresh
    self.notify()
  File "/usr/lib/python2.7/site-packages/gnome_abrt/problems.py", line 255, in notify
    super(MultipleSources, self).notify(change_type, problem)
  File "/usr/lib/python2.7/site-packages/gnome_abrt/problems.py", line 60, in notify
    observer.changed(self, change_type, problem)
  File "/usr/lib/python2.7/site-packages/gnome_abrt/views.py", line 121, in changed
    self.wnd._reload_problems(source)
  File "/usr/lib/python2.7/site-packages/gnome_abrt/views.py", line 255, in _reload_problems
    self._select_problem_iter(self.tv_problems.get_model().get_iter_first())
AttributeError: 'NoneType' object has no attribute 'get_iter_first'

Local variables in innermost frame:
p: <gnome_abrt.problems.Problem instance at 0x8c8f02c>
old: None
problems: [<gnome_abrt.problems.Problem instance at 0x8c8f02c>]
self: <OopsWindow object at 0x8ae4194 (gnome_abrt+views+OopsWindow at 0x8b3c008)>
source: <gnome_abrt.problems.MultipleSources object at 0x8ae0e8c>

--- Additional comment from Luis Mendes on 2013-03-25 22:49:35 CET ---

Created attachment 716222 [details]
File: backtrace

--- Additional comment from Luis Mendes on 2013-03-25 22:49:38 CET ---

Created attachment 716223 [details]
File: core_backtrace

--- Additional comment from Luis Mendes on 2013-03-25 22:49:41 CET ---

Created attachment 716224 [details]
File: environ

--- Additional comment from Jakub Filak on 2013-03-26 09:08:30 CET ---

Thank you for the report.

Fixed in upstream git:

commit b32d423a998db5db45b4569a77f50a45e9cfec3d
Author: Jakub Filak <jfilak@redhat.com>
Date:   Mon Mar 25 17:20:17 2013 +0100

    Use IOChannel approach in order to make signal handling synchronous
    
    - closes #17
    
    Signed-off-by: Jakub Filak <jfilak@redhat.com>
    Signed-off-by: Michal Toman <mtoman@redhat.com>

Comment 1 Fedora Update System 2013-03-29 10:15:57 UTC
gnome-abrt-0.2.10-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gnome-abrt-0.2.10-2.fc17

Comment 2 Fedora Update System 2013-04-10 01:31:53 UTC
gnome-abrt-0.2.10-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.